Cleanup wasDone, wasInProgress and endTime usage
Created attachment 
patch

I also found out that we don't show the end-time at all in the library (and that we're going to have a nightmare with history downloads regarding that matter), but I'll file that in a separate bug.
